description: Documentation for Mycodo, an open source environmental monitoring and regulation system.

## Mycodo Environmental Monitoring and Regulation System

Mycodo is open source software for the [Raspberry Pi](https://en.wikipedia.org/wiki/Raspberry_Pi) that couples inputs and outputs in interesting ways to sense and manipulate the environment.

### Information

See the [README](https://github.com/kizniche/Mycodo#uses) for features, projects using Mycodo, screenshots, and other information.

### Prerequisites

*   [Raspberry Pi](https://www.raspberrypi.org/) single-board computer (any version: Zero, 1, 2, 3, or 4)
*   [Raspberry Pi Operating System](https://www.raspberrypi.org/downloads/raspbian/) flashed to a micro SD card
*   An active internet connection

### Install

Once you have the Raspberry Pi booted into the Raspberry Pi OS with an internet connection, run the following command in a terminal to initiate the Mycodo install:

```bash
curl -L https://kizniche.github.io/Mycodo/install | bash
```

If the install is successful, open a web browser to the Raspberry Pi's IP address and you will be greeted with a screen to create an Admin user and password.

```
https://127.0.0.1
```

### Support

*   [Mycodo on GitHub](https://github.com/kizniche/Mycodo)
*   [Mycodo Wiki](https://github.com/kizniche/Mycodo/wiki)
*   [Mycodo API](https://kizniche.github.io/Mycodo/mycodo-api.html)
*   [Mycodo Forum](https://kylegabriel.com/forum/)
*   [Mycodo Support](https://play.google.com/store/apps/details?id=com.mycodo.mycododocs) (Android App)

### Donate

Become a Sponsor: [github.com/sponsors/kizniche](https://github.com/sponsors/kizniche)

Other methods: [KyleGabriel.com/donate](https://kylegabriel.com/donate)
